import * as React from 'react';
import { type Tag } from './types';
/**
 * Extract children from React by tag type and return an array of React Type Component
 */
export declare const extract: ({ children, byTag }: {
    children: React.ReactNode;
    byTag: string;
}) => Tag[];
interface extractTagsFromParams {
    children: React.ReactNode;
    tag: 'meta' | 'link' | 'title' | 'style';
    fallback?: any[];
}
export declare const extractTagsFrom: ({ children, tag, fallback }: extractTagsFromParams) => any[];
interface extractTitleFromParams {
    children: React.ReactNode;
    fallback?: string;
}
export declare const extractTitleFrom: ({ children, fallback }: extractTitleFromParams) => string;
/**
 * Use the correct component to render the tag
 */
interface renderTagsParams {
    tagsArray: any[];
    Component: React.ComponentType<any>;
}
export declare const renderTags: ({ tagsArray, Component }: renderTagsParams) => JSX.Element[];
/**
 * Use the correct component to render the tag
 */
interface renderStylesParams {
    stylesArray: any[];
    Component: React.ComponentType<any>;
}
export declare const renderStyles: ({ stylesArray, Component }: renderStylesParams) => JSX.Element[];
export {};
